Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class Label

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.TextElement
              info.bioinfweb.treegraph.document.Label

All Implemented Interfaces:
  PaintableElement, java.lang.Cloneable

Direct Known Subclasses:
  IconLabel, TextLabel

    public abstract class Label

extends TextElement
implements java.lang.Cloneable

Label is the acestor of the two label classes `TextLabel` and `CharacterShiftLabel`.

Author:
  BenStoever

Field Summary
`private java.lang.String` | `id`
`private static java.util.regex.Pattern` | `idPattern`
`private Labels` | `labels`

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`Label(Labels labels)`

Method Summary
`void` | `assignLabelData(Label other)` Assigns the values of the passed label to this class.
`abstract Label` | `clone()` Implementing classes should not copy the `EnumMap positions` because the copy of this element will be located at another position.
`java.lang.String` | `getID()`
`Labels` | `getLabels()`
`abstract LabelPositionFormats` | `getPositionFormats()`
`static boolean` | `idIsValid(java.lang.String id)`
`void` | `reinsert()` Reinserts this label into its owning `Labels`-object of one is linked.
`void` | `setID(java.lang.String id)`
`void` | `setLabels(Labels labels)`
`abstract void` | `setPositionFormats(LabelPositionFormats formats)`

Methods inherited from class info.bioinfweb.treegraph.document.TextElement
`assignTextElementData, getData, getFormats, toString`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`setFormats`

Field Detail

### idPattern

    private static final java.util.regex.Pattern idPattern

### labels

    private Labels labels

### id

    private java.lang.String id

Constructor Detail

### Label

    public Label(Labels labels)

Method Detail

### getID

    public java.lang.String getID()

### getLabels

    public Labels getLabels()

### setLabels

    public void setLabels(Labels labels)

### setID

    public void setID(java.lang.String id)

### getPositionFormats

    public abstract LabelPositionFormats getPositionFormats()

### setPositionFormats

    public abstract void setPositionFormats(LabelPositionFormats formats)

### idIsValid

    public static boolean idIsValid(java.lang.String id)

### reinsert

    public void reinsert()

  Reinserts this label into its owning `Labels`-object of one is linked. This becomes necessary of the position of the label changes.

### assignLabelData

    public void assignLabelData(Label other)

  Assigns the values of the passed label to this class. Note that the link to the owning `Labels`-object `other` might have is not copied.

  Parameters:
    `other` -

### clone

    public abstract Label clone()

  Description copied from class: `ConcretePaintableElement`
  Implementing classes should not copy the `EnumMap positions` because the copy of this element will be located at another position. Therefor the copy will should an empty `EnumMap`.

  Specified by:
    `clone` in class `TextElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD